@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;400;600&display=swap');

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    /* border: 1px solid red; */
  }

  /* Asegura que los enlaces hereden estilos del contenedor */
a {
    text-decoration: none; /* Elimina el subrayado */
    color: inherit; /* Mantiene el color del texto del contenedor */
    font-size: inherit; /* Hereda el tamaño de fuente del contenedor */
    font-weight: inherit; /* Hereda el peso de fuente del contenedor */
}


body {
    font-family: 'Poppins';
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.arriba {
    min-height: 600px;
    width: 100%;
    background-color: #E5EDE5;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.arriba-min {
    width: 728px;
    min-height: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 60px;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
    margin-top: 20px;
}

.header-logo {
    font-size: 24px;
    font-weight: 600;
    color: #2B3A2C;
}

.header-idioma {
    font-size: 16px;
    color: #2B3A2C;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 50px;
}

.arriba-uno {
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    width: 100%;
    margin-bottom: 20px;
    color: #2B3A2C;
}

.arriba-dos {
    font-size: 24px;
    font-weight: 600;
    text-align: center;
    width: 100%;
    margin-bottom: 20px;
    color: #333;
}

.arriba-tres {
    font-size: 14px;
    text-align: center;
    width: 100%;
    margin-bottom: 50px;
    opacity: 0.5;
    color: #2B3A2C;
}

.arriba-imagen {
    width: 100%;
    min-height: 100px;
    text-align: center;
    margin-bottom: 30px;
}

.medio {
    width: 728px;
    min-height: 300px;
    margin-top: 30px;
}

.medio-titulo {
    font-size: 22px;
    font-weight: 600;
    text-align: center;
    width: 100%;
    margin-bottom: 5px;
    color: #333;
}

.medio-desc {
    font-size: 15px;
    text-align: center;
    width: 100%;
    margin-bottom: 20px;
    color: #333;
}

.medio-titulo-inp {
    font-size: 12px;
    text-align: left;
    width: 100%;
    margin-bottom: 10px;
    color: #333;
    margin-left: 10px;
    opacity: 0.4;
}

.medio-inp {
    height: 60px;
    width: 100%;
    margin-bottom: 20px;
    display: flex;
    flex-direction: row;
}

.medio-inp-prefix {
    height: 100%;
    width: 80px;
    border: none;
    border-radius: 8px;
    margin-bottom: 20px;
    text-align: center;
    font-size: 16px;
    background-color: #f1f1f1;
    font-family: 'Poppins';
}

.medio-inp-numero {
    height: 100%;
    width: calc(100% - 90px);
    border: none;
    border-radius: 8px;
    margin-bottom: 20px;
    margin-left: 10px;
    padding-left: 20px;
    padding-right: 20px;
    font-size: 16px;
    background-color: #f1f1f1;
    font-family: 'Poppins';
}

.medio-btn {
    width: 100%;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 16px;
    color: #ffffff;
    background-color: #453CE1;
    border-radius: 15px;
}

.medio-titulo-preguntas {
    font-size: 22px;
    font-weight: 600;
    text-align: center;
    width: 100%;
    margin-bottom: 20px;
    color: #333;
    margin-top: 80px;
}

.medio-preguntas {
    width: 100%;
    height: auto;
    padding: 20px;
    background-color: #E5EDE5;
    font-size: 16px;
    font-weight: 600;
    border-radius: 15px;
    text-align: center;
}

.medio-respuestas {
    width: 100%;
    height: auto;
    padding: 20px;
    font-size: 16px;
    text-align: center;
    margin-bottom: 30px;
}

.footer {
    min-height: 50px;
    width: 728px;
    background-color: #333;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    margin-top: 50px;
    color: #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer-logo {
    font-size: 24px;
    margin-top: 35px;
    margin-bottom: 20px;
    font-weight: 600;
}

.footer-desc {
    font-size: 12px;
    margin-bottom: 20px;
    width: 90%;
}

.footer-btn {
    font-size: 14px;
    padding: 10px;
    text-align: center;
    border: 1px solid #9d9d9d;
    border-radius: 10px;
    margin-bottom: 40px;
}

.footer-legal {
    font-size: 12px;
    opacity: 0.5;
    margin-bottom: 15px;
}

.footer-copy {
    font-size: 12px;
    opacity: 0.5;
    margin-bottom: 30px;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #FEFFFA;
    padding: 20px;
    width: 100%;
    height: 100vh;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.close-btn {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-btn:hover,
.close-btn:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

@keyframes zoomIn {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
    100% {
        transform: scale(1);
    }
}

.modal-content-mano {
    height: 100px;
    width: 100px;
    margin-top: 30px;
    font-size: 80px;
    animation: zoomIn 0.5s ease-in-out;
}

.modal-content-titulo {
    width: 100%;
    height: auto;
    padding: 20px;
    padding-bottom: 0px;
    font-size: 28px;
    font-weight: 600;
    margin-top: 20px;
}

.modal-content-desc {
    width: 100%;
    height: auto;
    padding: 20px;
    padding-top: 10px;
    font-size: 14px;
    opacity: 0.5;
    margin-bottom: 10px;
}

.modal-content-inp {
    width: 100%;
    height: 50px;
    border-radius: 10px;
    border: 1px solid #333;
    text-align: center;
    font-size: 16px;
    font-family: 'Poppins';
    margin-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;
}

.modal-content-btn {
    width: 100%;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 16px;
    color: #ffffff;
    background-color: #453CE1;
    border-radius: 15px;
}


@media screen and (max-width: 700px) {

    .arriba-min {
        width: 90%;
        min-height: 500px;
    }

    .medio {
        width: 90%;
        min-height: 300px;
    }

    .footer {
        width: 90%;
        min-height: 100px;
    }
}